Get earn offer APY history
curl --request GET \
--url https://criffy.com/api/v1/earn/{id}/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://criffy.com/api/v1/earn/{id}/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://criffy.com/api/v1/earn/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period": "1m",
"interval": "1d",
"from": "2026-03-23T10:00:00.000Z",
"to": "2026-04-23T10:00:00.000Z",
"point_count": 2,
"data": [
{
"timestamp": "2026-04-22T00:00:00.000Z",
"apy": "4.20"
},
{
"timestamp": "2026-04-23T00:00:00.000Z",
"apy": "4.25"
}
]
}
Offers
Get earn offer APY history
GET
/
api
/
v1
/
earn
/
{id}
/
history
Get earn offer APY history
Authorizations
Bearer API key for authenticated /api/v1/* access.
Path Parameters
Numeric offer identifier.
Query Parameters
Requested history window.
Available options:
24h, 1w, 1m, 3m, 1y, all Response
Time-series APY history for an earn offer.
⌘I

